# Created by pyp2rpm-3.3.6
%global pypi_name sphinx-autoapi

Name:           python-%{pypi_name}
Version:        1.8.1
Release:        5
Summary:        Sphinx API documentation generator
Group:          Development/Python
License:        MIT
URL:            https://github.com/readthedocs/sphinx-autoapi
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(astroid) >= 2.4
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(pyyaml)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
#BuildRequires:  python3dist(sphinxcontrib-dotnetdomain)
#BuildRequires:  python3dist(sphinxcontrib-golangdomain)
BuildRequires:  python3dist(unidecode)

%description
Sphinx AutoAPI provides "autodoc" style documentation for multiple programming
languages without needing to load, run, or import the project being documented.

In contrast to the traditional Sphinx autodoc, which is Python-only and uses
code imports, AutoAPI finds and generates documentation by parsing source code.


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(astroid) >= 2.4
Requires:       python3dist(jinja2)
Requires:       python3dist(pyyaml)
Requires:       python3dist(sphinx)
Requires:       python3dist(sphinx) >= 3
Requires:       python3dist(sphinx-rtd-theme)
#Requires:       python3dist(sphinxcontrib-dotnetdomain)
#Requires:       python3dist(sphinxcontrib-golangdomain)
Requires:       python3dist(unidecode)

%description -n python3-%{pypi_name}
Sphinx AutoAPI provides "autodoc" style documentation for multiple programming
languages without needing to load, run, or import the project being documented.

In contrast to the traditional Sphinx autodoc, which is Python-only and uses
code imports, AutoAPI finds and generates documentation by parsing source code.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.rst
%doc README.rst
%{python3_sitelib}/autoapi
%{python3_sitelib}/sphinx_autoapi-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Jun 14 2024 Bruno Postle <bruno@postle.net> 1.8.1-5
- rebuild for python

* Tue Jul 18 2023 Bruno Postle <bruno@postle.net> 1.8.1-4
- rebuild for python

* Mon May 09 2022 Bruno Postle <bruno@postle.net>
- rebuilt for fedora

* Tue Mar 29 2022 umeabot <umeabot> 1.8.1-3.mga9
+ Revision: 1833278
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 1.8.1-2.mga9
+ Revision: 1782478
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.8.1-1.mga9
+ Revision: 1733834
- imported package python-sphinx-autoapi

